<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chat_messages', function (Blueprint $row) {
            $row->id();
            $row->uuid('ride_id');
            $row->foreignId('sender_id')->constrained('users')->onDelete('cascade');
            $row->text('message');
            $row->boolean('is_read')->default(false);
            $row->timestamps();
            
            $row->foreign('ride_id')->references('id')->on('rides')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chat_messages');
    }
};
